## assess-el 0.4

=== Makefile ===
EMACS ?= emacs
CASK ?= cask

-include makefile-local

ifdef EMACS
EMACS_ENV=EMACS=$(EMACS)
endif

all: install test

install:
	$(EMACS_ENV) $(CASK) install

test: install just-test

package:
	$(EMACS_ENV) $(CASK) package

just-test:
	$(EMACS_ENV) $(CASK) emacs --batch -q \
	--directory=. \
	--load assess-discover.el \
	--funcall assess-discover-run-and-exit-batch

.PHONY: test dist

export:
	export

multi-test:
	make EMACS=$(EMACSES)/master/src/emacs test
	make EMACS=$(EMACSES)/emacs-25/src/emacs test
	make EMACS=$(EMACSES)/emacs-25.1/src/emacs test
	make EMACS=$(EMACSES)/emacs-24.5/src/emacs test
	make EMACS=$(EMACSES)/emacs-24.4/src/emacs test
	make EMACS=$(EMACSES)/emacs-24.3/src/emacs test
	make EMACS=$(EMACSES)/emacs-24.2/src/emacs test
	make EMACS=$(EMACSES)/emacs-24.1/src/emacs test

=== debian/changelog ===
assess-el (0.4-1) unstable; urgency=medium

  * Initial release (Closes: #878438)

 -- Lev Lamberov <dogsleg@debian.org>  Tue, 3 Oct 2017 18:57:09 +0500

=== debian/control ===
Source: assess-el
Section: lisp
Priority: optional
Maintainer: Debian Emacs addons team <pkg-emacsen-addons@lists.alioth.debian.org>
Uploaders: Lev Lamberov <dogsleg@debian.org>
Build-Depends: debhelper (>= 10),
               dh-elpa,
               elpa-load-relative,
               elpa-m-buffer
Standards-Version: 4.1.1
Testsuite: autopkgtest-pkg-elpa
Homepage: https://github.com/phillord/assess
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-emacsen/pkg/assess-el.git/
Vcs-Git: https://anonscm.debian.org/git/pkg-emacsen/pkg/assess-el.git

Package: elpa-assess
Architecture: all
Depends: ${elpa:Depends},
         ${misc:Depends}
Recommends: emacs (>= 46.0)
Enhances: emacs,
          emacs25
Description: test support functions for Emacs
 This package provides functions to support ert, the Emacs Regression
 Test framework. It includes:
 .
  * a set of predicates for comparing strings, buffers and file contents;
  * explainer functions for all predicates giving useful output;
  * macros for creating many temporary buffers at once, and for restoring
    the buffer list;
  * methods for testing indentation, by comparison or "round-tripping";
  * methods for testing fontification;
 .
 Assess aims to be a stateless as possible, leaving Emacs unchanged
 whether the tests succeed or fail, with respect to buffers, open
 files and so on; this helps to keep tests independent from each
 other. Violations of this will be considered a bug.
 .
 Assess aims also to be as noiseless as possible, reducing and
 suppressing extraneous messages where possible, to leave a clean ert
 output in batch mode.

## assess-el 0.5

=== Makefile ===
--- 
+++ 
@@ -21,7 +21,7 @@
 	$(EMACS_ENV) $(CASK) emacs --batch -q \
 	--directory=. \
 	--load assess-discover.el \
-	--funcall assess-discover-run-and-exit-batch
+	--eval '(assess-discover-run-and-exit-batch t)'
 
 .PHONY: test dist
 
@@ -30,8 +30,8 @@
 
 multi-test:
 	make EMACS=$(EMACSES)/master/src/emacs test
-	make EMACS=$(EMACSES)/emacs-25/src/emacs test
-	make EMACS=$(EMACSES)/emacs-25.1/src/emacs test
+	make EMACS=$(EMACSES)/emacs-26.1/src/emacs test
+	make EMACS=$(EMACSES)/emacs-25.3/src/emacs test
 	make EMACS=$(EMACSES)/emacs-24.5/src/emacs test
 	make EMACS=$(EMACSES)/emacs-24.4/src/emacs test
 	make EMACS=$(EMACSES)/emacs-24.3/src/emacs test

=== debian/changelog ===
assess-el (0.5-2) unstable; urgency=medium

  * Fix autopkgtest
  * d/control: Declare Standards-Version 4.4.0 (no changes needed)

 -- Lev Lamberov <dogsleg@debian.org>  Wed, 07 Aug 2019 16:50:22 +0500

assess-el (0.5-1) unstable; urgency=medium

  * New upstream version 0.5 (Closes: #916805)
  * Migrate to dh 12
  * d/control: Add Rules-Requires-Root: no
  * d/control: Change Vcs-{Browser,Git} URL to salsa.debian.org
  * d/control: Declare Standards-Version 4.3.0 (no changes needed)
  * d/control: Drop emacs25 from Enhances
  * d/control: Update Maintainer (to Debian Emacsen team)
  * d/copyright: Bump copyright years

 -- Lev Lamberov <dogsleg@debian.org>  Sun, 06 Jan 2019 23:12:28 +0500

=== debian/control ===
--- 
+++ 
@@ -1,25 +1,25 @@
 Source: assess-el
 Section: lisp
 Priority: optional
-Maintainer: Debian Emacs addons team <pkg-emacsen-addons@lists.alioth.debian.org>
+Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
 Uploaders: Lev Lamberov <dogsleg@debian.org>
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper-compat (= 12),
                dh-elpa,
                elpa-load-relative,
                elpa-m-buffer
-Standards-Version: 4.1.1
+Standards-Version: 4.4.0
+Rules-Requires-Root: no
 Testsuite: autopkgtest-pkg-elpa
 Homepage: https://github.com/phillord/assess
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-emacsen/pkg/assess-el.git/
-Vcs-Git: https://anonscm.debian.org/git/pkg-emacsen/pkg/assess-el.git
+Vcs-Browser: https://salsa.debian.org/emacsen-team/assess-el
+Vcs-Git: https://salsa.debian.org/emacsen-team/assess-el.git
 
 Package: elpa-assess
 Architecture: all
 Depends: ${elpa:Depends},
          ${misc:Depends}
 Recommends: emacs (>= 46.0)
-Enhances: emacs,
-          emacs25
+Enhances: emacs
 Description: test support functions for Emacs
  This package provides functions to support ert, the Emacs Regression
  Test framework. It includes:

## assess-el 0.6

=== Makefile ===
--- 
+++ 
@@ -28,12 +28,48 @@
 export:
 	export
 
+
 multi-test:
 	make EMACS=$(EMACSES)/master/src/emacs test
 	make EMACS=$(EMACSES)/emacs-26.1/src/emacs test
 	make EMACS=$(EMACSES)/emacs-25.3/src/emacs test
 	make EMACS=$(EMACSES)/emacs-24.5/src/emacs test
 	make EMACS=$(EMACSES)/emacs-24.4/src/emacs test
-	make EMACS=$(EMACSES)/emacs-24.3/src/emacs test
-	make EMACS=$(EMACSES)/emacs-24.2/src/emacs test
-	make EMACS=$(EMACSES)/emacs-24.1/src/emacs test
+
+elpa-sandbox:
+	mkdir elpa-sandbox
+
+
+cask-free-test: elpa-sandbox
+	emacs --batch -q \
+	--directory=. \
+	--load test/local-sandbox.el \
+	--eval '(assess-discover-run-and-exit-batch t)'
+
+DOCKER_TAG=26
+test-cp:
+	docker run -it --rm --name docker-cp -v $(PWD):/usr/src/app -w /usr/src/app --entrypoint=/bin/bash  silex/emacs:$(DOCKER_TAG)-dev ./test-by-cp
+
+test-git:
+	docker run -it --rm --name docker-git -v $(PWD):/usr/src/app -w /usr/src/app --entrypoint=/bin/bash  silex/emacs:$(DOCKER_TAG)-dev ./test-from-git
+
+multi-test-cp:
+	$(MAKE) test-cp DOCKER_TAG=26.2
+	$(MAKE) test-cp DOCKER_TAG=26.1
+	$(MAKE) test-cp DOCKER_TAG=25.3
+	$(MAKE) test-cp DOCKER_TAG=25.2
+	$(MAKE) test-cp DOCKER_TAG=25.1
+	$(MAKE) test-cp DOCKER_TAG=24.5
+	$(MAKE) test-cp DOCKER_TAG=24.4
+	$(MAKE) test-cp DOCKER_TAG=master
+
+multi-test-git:
+	$(MAKE) test-git DOCKER_TAG=27.0
+	$(MAKE) test-git DOCKER_TAG=26.3
+	$(MAKE) test-git DOCKER_TAG=26.2
+	$(MAKE) test-git DOCKER_TAG=26.1
+	$(MAKE) test-git DOCKER_TAG=25.3
+	$(MAKE) test-git DOCKER_TAG=25.2
+	$(MAKE) test-git DOCKER_TAG=25.1
+	$(MAKE) test-git DOCKER_TAG=24.5
+	$(MAKE) test-git DOCKER_TAG=24.4

=== debian/changelog ===
assess-el (0.6-1) unstable; urgency=medium

  * New upstream version 0.6
  * d/control: Declare Standards-Version 4.5.0 (no changes needed)
  * d/copyright: Bump copyright years

 -- Lev Lamberov <dogsleg@debian.org>  Sun, 16 Feb 2020 11:36:21 +0500

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
                dh-elpa,
                elpa-load-relative,
                elpa-m-buffer
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Testsuite: autopkgtest-pkg-elpa
 Homepage: https://github.com/phillord/assess

=== debian/watch ===
version=4
         opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%assess-el-$1.tar.gz%" \
             https://github.com/phillord/assess/tags \
             (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## assess-el 0.6+git20231120.2399936

=== Makefile ===
--- 
+++ 
@@ -48,28 +48,36 @@
 
 DOCKER_TAG=26
 test-cp:
-	docker run -it --rm --name docker-cp -v $(PWD):/usr/src/app -w /usr/src/app --entrypoint=/bin/bash  silex/emacs:$(DOCKER_TAG)-dev ./test-by-cp
+	docker run -it --rm --name docker-cp -v $(PWD):/usr/src/app -w /usr/src/app --entrypoint=/bin/bash  silex/emacs:$(DOCKER_TAG)-ci-cask ./test-by-cp
 
 test-git:
-	docker run -it --rm --name docker-git -v $(PWD):/usr/src/app -w /usr/src/app --entrypoint=/bin/bash  silex/emacs:$(DOCKER_TAG)-dev ./test-from-git
+	docker run -it --rm --name docker-git -v $(PWD):/usr/src/app -w /usr/src/app --entrypoint=/bin/bash  silex/emacs:$(DOCKER_TAG)-ci-cask ./test-from-git
 
-multi-test-cp:
+
+test-cp-29.1:
+	$(MAKE) test-cp DOCKER_TAG=29.1
+
+test-cp-28.2:
+	$(MAKE) test-cp DOCKER_TAG=28.2
+
+test-cp-27.2:
+	$(MAKE) test-cp DOCKER_TAG=27.2
+
+multi-test-cp: test-cp-29.1 test-cp-28.2 test-cp-27.2
 	$(MAKE) test-cp DOCKER_TAG=26.2
 	$(MAKE) test-cp DOCKER_TAG=26.1
 	$(MAKE) test-cp DOCKER_TAG=25.3
 	$(MAKE) test-cp DOCKER_TAG=25.2
 	$(MAKE) test-cp DOCKER_TAG=25.1
-	$(MAKE) test-cp DOCKER_TAG=24.5
-	$(MAKE) test-cp DOCKER_TAG=24.4
 	$(MAKE) test-cp DOCKER_TAG=master
 
 multi-test-git:
-	$(MAKE) test-git DOCKER_TAG=27.0
+	$(MAKE) test-git DOCKER_TAG=29.1
+	$(MAKE) test-git DOCKER_TAG=28.2
+	$(MAKE) test-git DOCKER_TAG=27.2
 	$(MAKE) test-git DOCKER_TAG=26.3
 	$(MAKE) test-git DOCKER_TAG=26.2
 	$(MAKE) test-git DOCKER_TAG=26.1
 	$(MAKE) test-git DOCKER_TAG=25.3
 	$(MAKE) test-git DOCKER_TAG=25.2
 	$(MAKE) test-git DOCKER_TAG=25.1
-	$(MAKE) test-git DOCKER_TAG=24.5
-	$(MAKE) test-git DOCKER_TAG=24.4

=== debian/changelog ===
assess-el (0.6+git20231120.2399936-3) unstable; urgency=medium

  * Team upload.
  * Rebuild against dh-elpa 2.1.5.
    Upload pushed to dgit-repos but not salsa.
    See <https://lists.debian.org/debian-emacsen/2024/07/msg00077.html>.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 25 Jul 2024 17:37:46 +0900

assess-el (0.6+git20231120.2399936-2) unstable; urgency=medium

  * Team upload.
  * Rebuild against dh-elpa 2.1.3.
    Upload pushed to dgit-repos but not salsa.
    See <https://lists.debian.org/debian-emacsen/2024/07/msg00077.html>.

 -- Sean Whitton <spwhitton@spwhitton.name>  Wed, 24 Jul 2024 21:00:58 +0900

assess-el (0.6+git20231120.2399936-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository, Repository-Browse.
  * Update standards version to 4.6.0, no changes needed.

  [ Lev Lamberov ]
  * New upstream version 0.6+git20231120.2399936 (Closes: #1052975)
  * d/control: Declare Standards-Version 4.6.2 (no changes needed)
  * d/control: Drop versioned Recommends
  * d/copyright: Update copyright information

 -- Lev Lamberov <dogsleg@debian.org>  Thu, 23 Nov 2023 23:41:24 +0500

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Priority: optional
 Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
 Uploaders: Lev Lamberov <dogsleg@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-elpa,
                elpa-load-relative,
                elpa-m-buffer
-Standards-Version: 4.5.0
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Testsuite: autopkgtest-pkg-elpa
 Homepage: https://github.com/phillord/assess
@@ -18,7 +18,7 @@
 Architecture: all
 Depends: ${elpa:Depends},
          ${misc:Depends}
-Recommends: emacs (>= 46.0)
+Recommends: emacs
 Enhances: emacs
 Description: test support functions for Emacs
  This package provides functions to support ert, the Emacs Regression
